# include <iostream>
# include <Game/Game.h>
# include <Moves/Move.h>
# include <CpuTimer.h>
using namespace Alice;
int main(void)
{
  Game g;
  const int iterations = 20000;
  int numberOfMoves = 0;
  MoveList moves;
  CpuTimer timer1;
  for (int i = 0; i < iterations; i++)
    {
      moves.clear();
      g.pseudoLegalMoves(moves);
      numberOfMoves += moves.size();
    }
  std::cout<<"generated "<<numberOfMoves<<std::endl; 
  std::cout<<timer1.age()<<" seconds"<<std::endl;
  std::cout<<numberOfMoves/(timer1.age()*1000)<<" kMoves/sec"<<std::endl;
  return 0;
};
